WordPress.org

Ready to get started?Download WordPress

Forums

WP Bannerize
[resolved] W3C validation probs if using the sidebar widget (11 posts)

  1. Guido Eugenio aka Zhenya
    Member
    Posted 4 years ago #

    Hi,
    I found some W3C validation errors if using the widget. This issue wasn't until version 2.5.2.

    e.g.: Every widget get this issues:

    Line 197, Column 141: end tag for "li" omitted, but OMITTAG NO was specified
    /wp-content/uploads/2010/06/hostgator.gif" /></a></ul></div></div><div

    Line 195, Column 26: start tag was here
    class="wp_bannerize"><ul><li ><a

    Please check on W3C validator.

  2. gfazioli
    Member
    Plugin Author

    Posted 4 years ago #

    Hi,
    Thanks for track. I check this asap

    Regards
    GF

  3. gfazioli
    Member
    Plugin Author

    Posted 4 years ago #

    @zhenya: Hi, I checked the code but I did not found nothing of wrong. Which WordPress version are you using?

    regards
    GF

    P.S.
    However I improve the HTML output for other validation check: see border="0"for example

  4. Guido Eugenio aka Zhenya
    Member
    Posted 4 years ago #

    I'm using WordPress 3.0.1 - e.g: In this website with Atahualpa theme we get invalid W3C:::
    http://validator.w3.org/check?uri=http%3A%2F%2Fworthpress.org%2F&charset=%28detect+automatically%29&doctype=Inline&group=0&verbose=1&user-agent=W3C_Validator%2F1.654

    Also in some others website where the theme is magazine-basic W3C be invalid too.
    I'm sure that untill wp-bannerize 2.4.11 W3C was ok.

  5. gfazioli
    Member
    Plugin Author

    Posted 4 years ago #

    Hi zhenya, I check your HTML. If you using the Widget check "after" field that must be setting on @@

    I try with my wordpress test and all works fine.

    Let me know if you need anymore information

    regards
    GF

  6. Guido Eugenio aka Zhenya
    Member
    Posted 4 years ago #

    I campi nelle finestre dei widgets son quelli di default del plugin; come d'altronde sempre stavano anche con le versioni precedenti; cioè non li ho mai modificati.

    Nel field "after" c'è scritto il valore </li> e nel field "container after" trovo </ul>

    Potresti indicarmi cosa scrivere in quei due campi al posto del codice attuale?

    Grazie

    p.s.
    rispondo in italiano così ci comprendiamo meglio. Spero sia permesso scrivere nella propria lingua qui su wordpress.org @,@

  7. gfazioli
    Member
    Plugin Author

    Posted 4 years ago #

    @zhenya: Ciao,
    i campi sono corretti. La questione è che ho provato su un mio WordPress di test e la validazione viene eseguita correttamente usando i Widget!
    Sei sicuro che non sia il "compressor" che usi sul server a danneggiare il codice?

    Saluti
    GF

  8. Guido Eugenio aka Zhenya
    Member
    Posted 4 years ago #

    Ciao.
    Si effettivamente ci avevo pensato e provai così a validare il sito disattivando tutti i plugins incluso quello di cache (controllando che la cache sia effettivamente vuota); ma il risultato resta identico.

    In effetti su un'installazione di prova e nuova il problema non si presenta.
    Stavo pensando che la differenza tra la nuova installazione e quelle già esistenti è che nella prima i widgets li creo dopo aver installato; mentre invece, ovviamente, nella seconda i widget sono già creati ed attivi.

    Potrebbe essere che aggiornando dalla 2.4.11 alle successive, ma con i widget già esistenti e posizionati nelle rispettive sidebar, questi, per qualche strana ragione, non si aggiornano con il nuovo codice, oppure qualcosa va storto?

    Cordialità

  9. gfazioli
    Member
    Plugin Author

    Posted 4 years ago #

    @zhenya: mhmhm, strano, veramente strano. Nella release 2.4.11 il codice che gestisce i Widget è rimasto sostanzialmente invariato.

    Il problema potrebbe essere nel Tema! Nel file @functions.php@ ci divrebbe essere una parti di codice che "prepara" la sidebar ad accettare i Widget. Forse è quello?!

    1) Provare a cambiare tema

    2) Editare le impostazioni dei Widget cliccando su Salva

    Saluti
    GF

  10. Guido Eugenio aka Zhenya
    Member
    Posted 3 years ago #

    Ho fatto diverse prove, le solite, cioè tornando al tema di default, disattivando anche tutti i plugin tranne wp-bannerize, e riconfermando le impostazioni dei widget cliccando su salva; però w3c persiste a invalidare il codice.
    Oltretutto non accade solo nel sito che ho linkato nei precedenti post, ma anche in altri due che amministro e che hanno altri template; uno con magazine-basic, l'altro mystique.
    A questo punto rinuncio a trovare una soluzione, non saprei cosa controllare, oltre a ciò che ho già sperimentato, e da dove può nascere questo problemino.

    Grazie per il supporto.

    Cordialità

    Guido Eugenio

  11. gfazioli
    Member
    Plugin Author

    Posted 3 years ago #

    @zhenya: veramente strano!!

    Speriamo di riuscire a venirne a capo.

    Saluti
    GF

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic